""" anything that touches the cookies should go through here """

from util import psint, limit
import config, common, util


YEAR = 60*60*24*365
MONTH = 60*60*24*30


def check_overage(request):
	return request.COOKIE('oa') == '1'

def set_overage(response):
	response.set_cookie('oa', 1, YEAR, path = '/')


def set_name_and_tripcode(response, name, tripcode):
	response.set_cookie('n', name, MONTH, path = '/')
	response.set_cookie('t', tripcode, MONTH, path = '/')

def get_name(request):
	return request.COOKIE('n', '')

def get_tripcode(request):
	return request.COOKIE('t', '')


def set_noko(response, value):
	response.set_cookie('nk', int(value), MONTH, path = '/')

def get_noko(request):
	return request.COOKIE('nk') == '1'


def set_post_verifier(response, board, thread_id, post_id):
	"""sets the cookie used to verify a user made a post (used when they attempt to delete it) """
	value = util.md5('%s%s%s%s' % (config.UNIQUE_STRING, board.DIR, thread_id, post_id))
	response.set_cookie('vf', value, MONTH, path = '/%s/%d/%d/' % (board.DIR, thread_id, post_id))

def check_post_verifier(request, board, thread_id, post_id):
	value = util.md5('%s%s%s%s' % (config.UNIQUE_STRING, board.DIR, thread_id, post_id))
	return request.COOKIE('vf') == value

def delete_post_verifier(response, board, thread_id, post_id):
	response.delete_cookie('vf', path = '/%s/%d/%d/' % (board.DIR, thread_id, post_id))