""" stuff to do with tripcodes """

import random
import config, util


v = 'aeiou'
c = 'bcdfghjklmnpqrstvwxyz'


def check(board, input, expected):
	if input is None:
		return False
	return make(board, input) == expected


def make(board, input):
	if not input:
		return ''
	rnd = random.Random()	#need to be threadsafe
	rnd.seed(util.md5(config.UNIQUE_STRING + input))
	c = board.TRIPCODE_LENGTH
	first_len = rnd.randint(c[0], c[1])
	return make_word(first_len, rnd) + ' ' + make_word(c[2]-first_len-1, rnd)


def make_word(length, rnd):	
	str = ''
	curV = True
	
	while len(str) < length:
		if (curV and rnd.randint(0, 6)) or (not curV and rnd.randint(0, 16)):
			curV = not curV
		str += rnd.choice(v if curV else c)
	return str