function escapeHtml(input){
	return input ? input.replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;').replace(/'/g, '&#039;') : '';
}

function getFragment(){
	var fullURL = document.location.href;
	var ind = fullURL.indexOf('#');
	return ind==-1 ? '' : fullURL.substring(ind+1);
}

//doesnt url-decode the cookie
function readRawCookie(name, defaultValue){
	if(typeof(defaultValue) == 'undefined')
		defaultValue = '';
	var sc = document.cookie.split(";");
	for(var i=0; i<sc.length; i++){
		var cur = sc[i];
		//padding at the start...
		while(cur.length > 0 && cur.charAt(0) == ' ')
			cur = cur.substring(1);
		if(cur.indexOf(name + '=') == 0)
			return cur.substring(name.length+1);
	}
	return defaultValue;
}

function readCookie(name, defaultValue){
	return decodeURIComponent(readRawCookie(name, defaultValue));
}

//doesnt url-encode the cookie
function writeRawCookie(name, value, days, path){
	if(typeof days == 'undefined' || days == null)
		days = 30;
	if(typeof path == 'undefined' || path == null)
		path = '/';
	var now = new Date();
	now.setTime(now.getTime() + 1000*60*60*24*days);
	document.cookie = name + '=' + value + '; expires=' + now.toUTCString() + ';path=' + path;
}

function writeCookie(name, value, days, path){
	writeRawCookie(name, encodeURIComponent(value), days, path);
}


//called by the "Quote" link on each post
function quote(threadId, postId){
	var e = $('#tr_comment_' +threadId);
	e.val(e.val() + '>>' + postId);
	e.focus();
	e.scrollTop(999999);
	return false;
}


//called by thumbnailed images when clicked on
function expImg(a, width, height){
	if(width > $(window).width()*0.8 || height > $(window).height()*0.9){
		$(a).attr('target', '_blank');
		return true;
	}
	else{
		var img = $(a).children().filter('img');
		var cw = img.width(), ch = img.height(), cs = img.attr('src');
		$(a).attr('onclick', '');
		$(a).unbind('click');
		$(a).click(function(){
			return cntImg(a, cw, ch, cs);
		});
		img.attr('src', a.href).attr('class', 'image').width(width).height(height);
		return false;
	}
}

function cntImg(a, width, height, src){
	var img = $(a).children().filter('img');
	var cw = img.width(), ch = img.height(), cs = img.attr('src');
	$(a).unbind('click');
	$(a).click(function(){
		return expImg(a, cw, ch);
	});
	img.attr('src', src).attr('class', 'image_thumb').width(width).height(height);
	return false;
}

//called by >>123 links
function chain(threadId, postId, toPostId){
	$('table.highlighted_post,div.highlighted_post').removeClass('highlighted_post');
	$('table.highlighted_post_ref').removeClass('highlighted_post_ref');
	if(page == 'board'){
		var fr = $('#' + threadId + '_' + postId).addClass('highlighted_post_ref');
		var to = $('#' + threadId + '_' + toPostId).addClass('highlighted_post');
		if(to.size()){
			to.get(0).scrollIntoView();
			return false;
		}
	}
	else{
		$('#' + postId).addClass('highlighted_post_ref');
		$('#' + toPostId).addClass('highlighted_post');
		$('#' + toPostId).get(0).scrollIntoView();
	}
}


$(document).ready(function(){
	if(typeof page == 'undefined')
		page = 'other';

	//highlight linked post
	if(page == 'thread')
		$('#' + getFragment()).addClass('highlighted_post');

	//auto set form fields
	$('input.name').val(readCookie('n'));
	$('input.tripcode').val(readCookie('t'));
	var noko = (readCookie('nk') == '1');
	$('input.noko').each(function(){
		$(this).get(0).checked = noko;
	});
		
	//enforce maxlength on textareas
	function limit(){
		if(typeof $(this).attr('maxlength') != 'undefined'){
			var v = $(this).val();
			var m = $(this).attr('maxlength');				
			if(v.length > m)
				$(this).val(v.substring(0, m));
		}
	}
	$('textarea').keyup(limit);

});