""" stuff to do with tripcodes """

import random
import util


def make(board, input):
	""" returns the tripcode output string for the given input string on the given board """
	
	if input == '':
		return ''

	rnd = random.Random()	#need to be threadsafe
	rnd.seed(util.md5(board.config.UNIQUE_STRING + input))
		
	def make_word(length):
		v = 'aeiou'
		c = 'bcdfghjklmnpqrstvwxyz'
	
		str = ''
		curV = True
		
		while len(str) < length:
			if (curV and rnd.randint(0, 6)) or (not curV and rnd.randint(0, 16)):
				curV = not curV
			str += rnd.choice(v if curV else c)
		return str

	c = board.TRIPCODE_LENGTH
	first_len = rnd.randint(c[0], c[1])
	return make_word(first_len) + ' ' + make_word(c[2]-first_len-1)