function escapeHtml(input){
	return input ? input.replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;').replace(/'/g, '&#039;') : '';
}

function getFragment(){
	var fullURL = document.location.href;
	var ind = fullURL.indexOf('#');
	return ind==-1 ? '' : fullURL.substring(ind+1);
}

//doesnt url-decode the cookie
function readCookie(name, defaultValue){
	if(typeof(defaultValue) == 'undefined')
		defaultValue = '';
	var sc = document.cookie.split(";");
	for(var i=0; i<sc.length; i++){
		var cur = sc[i];
		//padding at the start...
		while(cur.length > 0 && cur.charAt(0) == ' ')
			cur = cur.substring(1);
		if(cur.indexOf(name + '=') == 0)
			return decodeURIComponent(cur.substring(name.length+1));
	}
	return defaultValue;
}


//called by the "Quote" link on each post
function quote(threadId, postId){
	var e = $('#tr_comment_' +threadId);
	e.val(e.val() + '>>' + postId + '\r\n\r\n');
	e.focus();
	e.scrollTop(999999);
	return false;
}


//called by thumbnailed images when clicked on
function expImg(a, width, height){
	if(width > $(window).width()*0.8 || height > $(window).height()*0.9){
		$(a).attr('target', '_blank');
		return true;
	}
	else{
		var img = $(a).children().filter('img');
		var cw = img.width(), ch = img.height(), cs = img.attr('src');
		$(a).attr('onclick', '');
		$(a).unbind('click');
		$(a).click(function(){
			return cntImg(a, cw, ch, cs);
		});
		img.attr('src', a.href).attr('class', 'image').width(width).height(height);
		return false;
	}
}


function cntImg(a, width, height, src){
	var img = $(a).children().filter('img');
	var cw = img.width(), ch = img.height(), cs = img.attr('src');
	$(a).unbind('click');
	$(a).click(function(){
		return expImg(a, cw, ch);
	});
	img.attr('src', src).attr('class', 'image_thumb').width(width).height(height);
	return false;
}


function chain(aElement, board, threadId, postId){
	//clicking more than once shouldnt fuck it up
	if(aElement.loading)
		return false;
	aElement.loading = true;
	
	$.get('/' + board + '/' + threadId + '/' + postId, {}, function(data, status){
		if(status == 'success'){
			var nn = document.createElement('table');
			aElement.parentNode.replaceChild(nn, aElement);
			nn.innerHTML = data.replace(/^\s*<table.*?>/, '').replace(/<\/table>\s*$/, '');
			nn.setAttribute("class", "quoted_post");
		}
	}, 'html');
	
	return false;
}



function omitted(aElement, board, threadId, endPostId){
	//clicking more than once shouldnt fuck it up
	if(aElement.loading)
		return false;
	aElement.loading = true;
	
	$.get('/' + board + '/' + threadId + '/1-' + endPostId, {}, function(data, status){
		if(status == 'success'){
			$(aElement).after(data);
			$(aElement).remove();
		}
	}, 'html');
	
	return false;
}


function modPostAction(aElement){
	$.get($(aElement).attr('href'), {}, function(data, status){
		$(aElement).replaceWith((status != 'success' || data != 'success') ? 'error: check you are logged in' : $(aElement).html());
	}, 'text');
	return false;
}


$(document).ready(function(){
	if(typeof page == 'undefined')
		page = 'other';

	//highlight linked post
	if(page == 'thread')
		$('#' + getFragment()).addClass('highlighted_post');

	//auto set form fields
	$('input.name').val(readCookie('name'));
	$('input.tripcode').val(readCookie('tripcode'));
	var noko = (readCookie('noko') == '1');
	$('input.noko').each(function(){
		$(this).get(0).checked = noko;
	});
		
	//enforce maxlength on textareas
	function limit(){
		if($(this).attr('maxlength')){
			var v = $(this).val();
			var m = $(this).attr('maxlength');				
			if(v.length > m)
				$(this).val(v.substring(0, m));
		}
	}
	$('textarea').keyup(limit);

});
