""" anything touching session data should go through here rather than accessing request.session directly """

import util


def set_mod(request, name):
	""" sets the mod logged in for the session belonging to request """
	request.session['mod'] = name
	request.session['mod_logout_confirm'] = util.rand_str(24)


def get_mod(request):
	""" returns the name of the logged in mod for the session belonging to request, or None if there is no logged in mod """
	return request.session.get('mod')


def get_mod_logout_confirm(request):
	""" returns the string used to confirm the mod logout for the session belonging to request, or None if there is no logged in mod """
	return request.session.get('mod_logout_confirm')


def delete_mod(request):
	""" deletes the mod logged in for the session belonging to request """
	del request.session['mod']
	del request.session['mod_logout_confirm']